<?xml version="1.0" encoding="utf-8"?>
<!--
    Calculate Android Copyright <C> 2020 Jonas Lochmann
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see https://www.gnu.org/licenses/
-->
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <ViewFlipper
        android:measureAllChildren="false"
        android:id="@+id/flipper"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.rechnen.app.ui.view.BottomSheetListItem
                android:id="@+id/profile_button"
                app:itemTitle="@string/difficulty_profile"
                tools:itemText="Benutzerdefiniert"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <com.rechnen.app.ui.view.BottomSheetListItem
                android:id="@+id/addition_button"
                app:itemTitle="@string/difficulty_operation_addition"
                tools:itemText="Deaktiviert"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <com.rechnen.app.ui.view.BottomSheetListItem
                android:id="@+id/subtraction_button"
                app:itemTitle="@string/difficulty_operation_subtraction"
                tools:itemText="Deaktiviert"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <com.rechnen.app.ui.view.BottomSheetListItem
                android:id="@+id/multiplication_button"
                app:itemTitle="@string/difficulty_operation_multiplication"
                tools:itemText="Deaktiviert"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <com.rechnen.app.ui.view.BottomSheetListItem
                android:id="@+id/division_button"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:itemTitle="@string/difficulty_operation_division"
                tools:itemText="Deaktiviert" />

            <com.rechnen.app.ui.view.BottomSheetListItem
                android:id="@+id/factorization_button"
                app:itemTitle="@string/difficulty_operation_factorization"
                tools:itemText="Deaktiviert"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <com.rechnen.app.ui.view.BottomSheetListItem
                android:id="@+id/general_button"
                app:itemTitle="@string/difficulty_general_settings"
                tools:itemText="Status"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <com.rechnen.app.ui.view.BottomSheetListItem
                app:itemTitle="@string/generic_save"
                android:id="@+id/save_button"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

        </LinearLayout>

        <include android:id="@+id/multiplication"
            layout="@layout/difficulty_dialog_binary_operator" />

        <include android:id="@+id/addition"
            layout="@layout/difficulty_dialog_binary_operator" />

        <include android:id="@+id/subtraction"
            layout="@layout/difficulty_dialog_binary_operator" />

        <include android:id="@+id/profile"
            layout="@layout/difficulty_dialog_profiles" />

        <include android:id="@+id/factorization"
            layout="@layout/difficulty_dialog_factorization" />

        <include android:id="@+id/division"
            layout="@layout/difficulty_dialog_division" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ProgressBar
                android:layout_centerInParent="true"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />

        </RelativeLayout>

        <include android:id="@+id/general"
            layout="@layout/difficulty_dialog_general" />

    </ViewFlipper>
</layout>